### Method

# Gimp Palette get_entry_name

since: 2.2

#### Declaration [src]

    gboolean
    gimp_palette_get_entry_name (
      GimpPalette* palette,
      gint entry_num,
      gchar** entry_name
    )

#### Description [src]

Gets the name of an entry in the palette.

Gets the name of the entry at the zero-based index into the palette. Returns an error when the index is out of range.

Available since: 2.2

#### Parameters

`entry_num`

  Type: `gint`

  The entry to get.

`entry_name`

  Type: `gchar**`

  The name of the entry.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

TRUE on success.